<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__impl__dac" kind="group">
    <compoundname>group_hal_impl_dac</compoundname>
    <title>DAC</title>
    <briefdescription>
    </briefdescription>
    <detaileddescription>

<para><heading level="1">Power Level Mapping</heading></para>
<para>The following table shows how the HAL-defined power levels map to the hardware-specific power levels when cyhal_dac uses output pin buffered mode (with opamp). Unbuffered mode only supports ON and OFF. <verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;HAL Power Level  &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Opamp Power Level   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;&lt;a href="group__group__hal__general__types.html#group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a4d8ce140c28177e31de20cf8da8e2a99"&gt;CYHAL_POWER_LEVEL_HIGH&lt;/a&gt;  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;CY_CTB_POWER_HIGH   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;&lt;a href="group__group__hal__general__types.html#group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7ae189a666d589f8acf4c64142365def61"&gt;CYHAL_POWER_LEVEL_MEDIUM&lt;/a&gt;  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;CY_CTB_POWER_MEDIUM   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;&lt;a href="group__group__hal__general__types.html#group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7ae06723d07ff431a2f427d95ac61e2afb"&gt;CYHAL_POWER_LEVEL_LOW&lt;/a&gt;  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;CY_CTB_POWER_LOW   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;&lt;a href="group__group__hal__general__types.html#group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a6f0f4df45e9cac012a2c8e5ba736241b"&gt;CYHAL_POWER_LEVEL_DEFAULT&lt;/a&gt;  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;CY_CTB_POWER_MEDIUM   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para><para>cyhal_dac automatically choose between buffered and unbuffered mode by selecting pin. Unbuffered mode - dac pin, buffered - opamp pin. Buffered mode take care of reserving and configuring the opamp (OA0). If AREF voltage reference source is selected cyhal_dac takes care of reserving and configuring the opamp (OA1). By default cyhal_dac use VDDA voltage reference source. Use <ref kindref="member" refid="group__group__hal__dac_1ga0fd4a8c9b2b5e3b712904d3e63ed8a41">cyhal_dac_set_reference()</ref> to change between <ref kindref="member" refid="group__group__hal__dac_1ggab8bd602f1b7d91eacd4126873148e5a3aa38d2cb249af9c70780d9b6aaa225e24">CYHAL_DAC_REF_VDDA</ref> and <ref kindref="member" refid="group__group__hal__dac_1ggab8bd602f1b7d91eacd4126873148e5a3af87f660f3058a173c6fbdeb24528e46f">CYHAL_DAC_REF_VREF</ref> voltage reference sources. </para>
    </detaileddescription>
  </compounddef>
</doxygen>